package com.jjt.order.controller;

import com.jjt.common.constant.CacheConstants;
import com.jjt.common.core.controller.BaseController;
import com.jjt.common.core.redis.RedisCache;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author ruoyi
 */
@Api("数据接口")
@RestController
@Slf4j
@RequestMapping()
public class OrderApiController extends BaseController {
    @Resource
    private RedisCache redisCache;

    @ApiOperation("查看当前库存")
    @GetMapping("/api/stock")
    @CrossOrigin(origins = "*")
    @ResponseBody
    public Map<String, Object> mesStock() {
        return redisCache.getCacheObject(CacheConstants.VMS_STOCK);
    }
}
